A high-performance general-purpose compute library

- Main Page
- Tutorials
- Release Notes
- Examples

Data Structures | Namespaces | Typedefs | Functions
features.h File Reference
`#include <af/defines.h>`

Go to the source code of this file.

## Data Structures
class | features
| Represents a feature returned by a feature detector. More...

## Namespaces
namespace | af

## Typedefs
typedef void * | af_features

## Functions
AFAPI af_err | af_create_features (af_features *feat, dim_t num)
| Creates a new af_feature object with `num` features.
AFAPI af_err | af_retain_features (af_features *out, const af_features feat)
| Increases the reference count of the feature and all of its associated arrays.
AFAPI af_err | af_get_features_num (dim_t *num, const af_features feat)
| Returns the number of features associated with this object.
AFAPI af_err | af_get_features_xpos (af_array *out, const af_features feat)
| Returns the x positions of the features.
AFAPI af_err | af_get_features_ypos (af_array *out, const af_features feat)
| Returns the y positions of the features.
AFAPI af_err | af_get_features_score (af_array *score, const af_features feat)
| Returns the scores of the features.
AFAPI af_err | af_get_features_orientation (af_array *orientation, const af_features feat)
| Returns the orientations of the features.
AFAPI af_err | af_get_features_size (af_array *size, const af_features feat)
| Returns the size of the features.
AFAPI af_err | af_release_features (af_features feat)
| Reduces the reference count of each of the features.

## Typedef Documentation

## ◆ af_features

typedef void* af_features

Definition at line 13 of file features.h.